<xml> </xml>

btb-class |

# BetterListViewElementBase Members

BetterListViewElementBase overview

#### Public Static Fields

IndexUndefined | index which is not defined

#### Public Instance Properties

Font | font of the element text
ForeColor | foreground color the element content
Image | image of the element
ImageIndex | index specifying image of the element in ImageList set to BetterListViewElementBase.IndexUndefined, if not defined
ImageKey | key specifying image of the element in ImageList set to String.Empty, if not defined
Index | index of the element in its owner collection
Name | name of the element
Site | Gets or sets the ISite associated with the IComponent.
Tag | custom data attached to the element
TextTrimming | element text trimming

#### Public Instance Methods

Clone | Creates a new object that is a copy of the current instance.
CompareTo | Compares the current object with another object of the same type.
Dispose | Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.
EqualsContent | Check whether properties of this element equals properties of the specified element.
Remove | Remove element from its owner collection.

#### Public Instance Events

Disposed | Represents the method that handles the Disposed event of a component.

#### Protected Instance Constructors

BetterListViewElementBase | Overloaded. Initializes a new instance of the BetterListViewElementBase class.

#### Protected Instance Methods

CopyTo | Copy content of this instance to the specified BetterListViewElementBase instance.
GetObjectDataInternal | Custom implementation of the GetObjectData method.
ReadXmlInternal | Custom implementation of the ReadXml method.
WriteXmlInternal | Custom implementation of the WriteXml method.

#### See Also

BetterListViewElementBase Class | ComponentOwl.BetterThumbnailBrowser Namespace